// Residential telephone services case study
// Michel Bierlaire, EPFL (c) 2003

[Choice]
choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC_1	    0.0          -10.0     10.0         0
ASC_3	    0.0          -10.0     10.0         0
ASC_4	    0.0          -10.0     10.0         0
ASC_5	    0.0          -10.0     10.0         0
B1_COST  	0.0          -10.0     10.0         0


[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1     BM   avail1   ASC_1 * one + B1_COST * lncost1 
  2     SM   avail2                 B1_COST * lncost2 
  3     LF   avail3   ASC_3 * one + B1_COST * lncost3 
  4     EF   avail4   ASC_4 * one + B1_COST * lncost4     
  5     MF   avail5   ASC_5 * one + B1_COST * lncost5      

[Expressions] 
one = 1
lncost1 = log(cost1 )
lncost2 = log(cost2 )
lncost3 = log(cost3 )
lncost4 = log(cost4 )
lncost5 = log(cost5 )

[Model]
$MNL
